<?php
/**
* This file is the login page for the system
* It provides a login form and will automatically
* forward any users who have cookies set to ctrlpnl.php
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @version 11-08-03
* @package phpScheduleIt
*/
/**
* Include Template class
*/
require_once('lib/Template.class.php');

// Auth included in Template.php
$auth = new Auth();
$t = new Template();

// Logging user out
if (isset($_GET['logout'])) {
    $auth->doLogout();   
}

if (isset($_POST['login'])) {
	$auth->doLogin($_POST['email'], $_POST['password'], (isset($_POST['setCookie']) ? 'y' : null));
}

// Check if user has cookies set up
//  if so, log them in automatically
if (isset($_COOKIE['ID'])) {
    $auth->doLogin('', '', 'y', $_COOKIE['ID']);   
}

// Print HTML headers
$t->printHTMLHeader();

// Print out login form
$auth->printLoginForm();

// Print HTML footer
$t->printHTMLFooter();

unset($t);
unset($auth);
?>