<?php
/**
* StatsDB class
* Provides all db functions for stats.php
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @version 11-08-03
* @package DBEngine
*/
/**
* Base directory of application
*/
@define('BASE_DIR', dirname(__FILE__) . '/../..');
/**
* DBEngine class
*/
require_once(BASE_DIR . '/lib/DBEngine.class.php');

class StatsDB extends DBEngine {

	function get_quick_stats($table) {
		$result = $this->db->getRow('SELECT COUNT(*) as num FROM ' . $this->get_table($table));
		$this->check_for_error($result);
		
		return $result['num'];
	}
	
	function get_all_stats() {
		$return = array();
		
		$query = 'SELECT res.*'
				. ' FROM ' . $this->get_table('reservations') . ' as res,'
				. $this->get_table('login') . ' as l'
				. ' WHERE res.memberid=l.memberid';

		$result = $this->db->query($query);
		$this->check_for_error($result);
	
		if ($result->numRows() <= 0) {
			$this->err_msg = 'There are no records in the reservation table.';
			return false;
		}
				
		while ($rs = $result->fetchRow()) {
			$return[] = $this->cleanRow($rs);
		}
		
		$result->free();
		
		return $return;
	}
}
?>